Subject: Re: [Bitcoin-development] CLTV opcode allocation; long-term plans?

From: Luke Dashjr <[email-masked]>
Date: Tue, 12 May 2015 20:38:27 +0000

It should actually be straightforward to softfork RCLTV in as a negative CLTV.
All nLockTime are >= any negative number, so a negative number makes CLTV a 
no-op always. Therefore, it is clean to define negative numbers as relative 
later. It's also somewhat obvious to developers, since negative numbers often 
imply an offset (eg, negative list indices in Python).

Luke